# OAuth2 Token Exchange **POST /adminczar/api/v1/oauth2/token** Exchange client credentials for an access token using OAuth2 client credentials grant flow. **Note:** This endpoint is accessed at the admin server: `https://admin.pattern.com/adminczar/api/v1/oauth2/token` ## Servers - Public API: https://api.useshelf.com (Public API) ## Parameters ### Body: application/json (object) - **grant_type** (string) The grant type - must be "client_credentials" - **client_id** (string) The client identifier issued to the client - **client_secret** (string) The client secret issued to the client ## Responses ### 200 Access token issued successfully #### Body: application/json (object) - **access_token** (string) The access token to use for authenticated requests - **token_type** (string) The token type (typically "Bearer") - **expires_in** (integer) The lifetime of the access token in seconds ### 400 Invalid request parameters #### Body: application/json (object) - **error** (string) Error code - **error_description** (string) Human-readable error description ### 401 Invalid client credentials #### Body: application/json (object) - **error** (string) Error code - **error_description** (string) Human-readable error description [Powered by Bump.sh](https://bump.sh)